Re: vi secure



Does one of the following files enables secure mode?
/etc/vi.exrc
$HOME/.nexrc
$HOME/.exrc
.nexrc
.exrc

Those are the vi-startup files (as stated by the manpage)

-- Jille

William O. Yates schreef:
On 20/Apr/2008 13:32 Ben Kaduk wrote ..
On 4/20/08, William O. Yates <hackware@xxxxxxxxxxxx> wrote:
Recently started using vi macros.

When attempting to use one which accessed the external shell, got the following
message:
"The ! command is not supported when the secure edit option is set."

Are you running vi as root? I believe that will automatically set secure mode.

-Ben Kaduk

Yes, running as root (toor actually)...

ns1:/usr/local/interchange/catalogs/store> uname -a
FreeBSD ns1.tru2life.net 6.2-RELEASE FreeBSD 6.2-RELEASE #0: Fri Jan 12 10:40:27 UTC 2007 root@xxxxxxxxxxxxxxxxxxxxxxx:/usr/obj/usr/src/sys/GENERIC i386
ns1:/usr/local/interchange/catalogs/store>

..william.o.yates...hackware.at.tru2life.net...tru2life.info...

_______________________________________________
freebsd-security@xxxxxxxxxxx mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-security
To unsubscribe, send any mail to "freebsd-security-unsubscribe@xxxxxxxxxxx"
_______________________________________________
freebsd-security@xxxxxxxxxxx mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-security
To unsubscribe, send any mail to "freebsd-security-unsubscribe@xxxxxxxxxxx"